EventBuffer::copyout
EventBuffer::enableLocking
EventBuffer
PHP Manual

# EventBuffer::drain

(PECL event >= 1.2.6-beta)

EventBuffer::drain — Removes specified number of bytes from the front of the buffer without copying it anywhere

### Description

public bool EventBuffer::drain ( int `$len` )

Behaves as EventBuffer::read() , except that it does not copy the data: it just removes it from the front of the buffer.

### Parameters

`len`

  The number of bytes to remove from the buffer.

### Return Values

Returns `TRUE` on success. Otherwise `FALSE`.

### See Also

- EventBuffer::read() - Read data from an evbuffer and drain the bytes read
- EventBuffer::appendFrom() - Moves the specified number of bytes from a source buffer to the end of the current buffer

EventBuffer::copyout
EventBuffer::enableLocking
EventBuffer
PHP Manual